github ava-labs/subnet-evm v0.5.10

latest releases: v0.6.6, v0.6.6-rc.0, v0.6.5...
6 months ago

This release includes Warp related cleanups and fixes for Tracer API.

The AvalancheGo dependency is updated to v1.10.17 in this release, making it compatible with RPCChainVM Protocol Version 30 (unchanged from previous release).

Updates

  • Added subnetID argument to warp APIs
  • Changed VerifyPredicate interface function signature to take a single predicate input and return an error as output (was a boolean)
  • Bumped AvalancheGo dependency to v1.10.17

Fixed

  • Continued fixing Tracer APIs like TraceCall, TraceTransaction
  • Fixed invalid network upgrade timestamps in startup log

What's Changed

Full Changelog: v0.5.9...v0.5.10

Don't miss a new subnet-evm release

NewReleases is sending notifications on new releases.